Package com.google.javascript.jscomp.webservice.common

# Enum ErrorCode

java.lang.Object
java.lang.Enum<ErrorCode>
com.google.javascript.jscomp.webservice.common.ErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorCode>`, `java.lang.constant.Constable`

public enum ErrorCode extends Enum<ErrorCode>
Enum of all the possible error described in the Web Service protocol.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCOUNT_OVER_QUOTA`
`COMPILER_EXCEPTION`
`DOWNLOAD_OVER_QUOTA`
`FILE_TOO_LARGE`
`HASH_MISMATCH`
`ILLEGAL_OUTPUT_FILE_NAME`
`MALFORMED_URL`
`MISSING_API_KEY`
`NO_CODE_FOUND_IN_CACHE`
`NO_OUTPUT_INFO`
`POST_DATA_TOO_LARGE`
`UNKNOWN_API_KEY`
`UNKNOWN_CHARSET`
`UNKNOWN_COMPILATION_LEVEL`
`UNKNOWN_FORMATTING_OPTION`
`UNKNOWN_OUTPUT_INFO`
`UNKNOWN_OUTPUT_MODE`
`UNKNOWN_PARAMETER`
`UNKNOWN_WARNING_LEVEL`
`UNREACHABLE_URL`
`UNSUPPORTED_INPUT_RESOURCE_TYPE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`static ErrorCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ErrorCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN_OUTPUT_MODE

public static final ErrorCode UNKNOWN_OUTPUT_MODE

### UNKNOWN_API_KEY

public static final ErrorCode UNKNOWN_API_KEY

### UNKNOWN_COMPILATION_LEVEL

public static final ErrorCode UNKNOWN_COMPILATION_LEVEL

### UNKNOWN_CHARSET

public static final ErrorCode UNKNOWN_CHARSET

### POST_DATA_TOO_LARGE

public static final ErrorCode POST_DATA_TOO_LARGE

### FILE_TOO_LARGE

public static final ErrorCode FILE_TOO_LARGE

### UNREACHABLE_URL

public static final ErrorCode UNREACHABLE_URL

### MALFORMED_URL

public static final ErrorCode MALFORMED_URL

### NO_OUTPUT_INFO

public static final ErrorCode NO_OUTPUT_INFO

### UNKNOWN_OUTPUT_INFO

public static final ErrorCode UNKNOWN_OUTPUT_INFO

### MISSING_API_KEY

public static final ErrorCode MISSING_API_KEY

### UNKNOWN_WARNING_LEVEL

public static final ErrorCode UNKNOWN_WARNING_LEVEL

### UNKNOWN_FORMATTING_OPTION

public static final ErrorCode UNKNOWN_FORMATTING_OPTION

### UNKNOWN_PARAMETER

public static final ErrorCode UNKNOWN_PARAMETER

### ILLEGAL_OUTPUT_FILE_NAME

public static final ErrorCode ILLEGAL_OUTPUT_FILE_NAME

### HASH_MISMATCH

public static final ErrorCode HASH_MISMATCH

### NO_CODE_FOUND_IN_CACHE

public static final ErrorCode NO_CODE_FOUND_IN_CACHE

### ACCOUNT_OVER_QUOTA

public static final ErrorCode ACCOUNT_OVER_QUOTA

### COMPILER_EXCEPTION

public static final ErrorCode COMPILER_EXCEPTION

### UNSUPPORTED_INPUT_RESOURCE_TYPE

public static final ErrorCode UNSUPPORTED_INPUT_RESOURCE_TYPE

### DOWNLOAD_OVER_QUOTA

public static final ErrorCode DOWNLOAD_OVER_QUOTA

## Method Details

### values

public static ErrorCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ErrorCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public int getCode()